# 7. التغيير: إنشاء "ZonesMap"

إنشاء "خريطة\_المنطقة" لـ "الحقل".

{% hint style="info" %}
وقت التنفيذ يختلف (من 4 ثوانٍ حتى 5 دقائق)، يعتمد على عدد الصور ومساحة الحقل التي ستتم معالجتها، وسيتم استلام الاشتراك بعد إنشاء "خريطة\_المنطقة" بنجاح.
{% endhint %}

{% hint style="danger" %}
نوصي باستخدام **غير المتزامن** نهج لتوليد خرائط المناطق
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
تغيير GenerateZonesMap {
  generateVectorAnalysisMap(إدخال: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<عنصر نائب لمعرف_صورة_قمر_صناعي_2>"
    ]
    عدد_المناطق: 6
    المؤشر: EVI2
  }) {
    uuid
    معرف_الحقل
    الاسم
    النوع
    خرائط_جغرافية {
      رابط
      classes
      hexColorCodes
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/7.-altghyyr-inshaa-zonesmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
